package com.fs.his.utils;

import com.fs.common.core.redis.RedisCache;
import org.apache.ibatis.annotations.Select;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.crypto.Cipher;
import javax.crypto.spec.SecretKeySpec;
import java.util.Base64;
import java.util.Collection;
@Service
public class RedisCacheUtil {
    @Autowired
    RedisCache redisCache;

    public  void delRedisKey(String text) {
        Collection<String> keys = redisCache.keys(text+"*");
        for (String key : keys) {
            redisCache.deleteObject(key);
        }
    }
}
